{% extends 'base.html' %}

{% block content %}

<section class="section">
    <h5 class="section-title">Список команд</h5>

    <table class="table">
        <thead>
            <tr>
            <th scope="col">ID</th>
            <th scope="col">Config ID</th>
            <th scope="col">Название</th>
            <th scope="col">Описание</th>
            <th scope="col"></th>
            </tr>
        </thead>
        <tbody>
            {% for i in commands %}
              <tr>
                <th scope="row">{{ i["id"] }}</th>
                <td>{{ i["config_id"] }}</td>
                <td>{{ i["title"] }}</td>
                <td>{{ i["descr"] }}</td>
                <td><a href="#" id="delete-command" data-id="{{ i['id'] }}" class="btn btn-danger">Удалить</a></td>
              </tr>
            {% endfor %}
        </tbody>
    </table>
</section>

<section class="section">
    <h5 class="section-title">Назначить команду</h5>
    <form id="add-command">
        <div class="mb-3">
          <label for="config_id" class="form-label">ID конфига</label>
          <select class="form-select" aria-label="Default select example" name="config_id" required>
            <option disabled selected>ID конфига</option>
            {% for i in cfgs_ids %}
              <option value="{{ i['id'] }}">{{ i['id'] }} - {{ i['title'] }}</option>
            {% endfor %}
          </select>
          <!-- <input type="text" name="config_id" class="form-control" id="config_id" required> -->
        </div>
        <div class="mb-3">
          <label for="title" class="form-label">Название</label>
          <select class="form-select" aria-label="Default select example" name="title" required>
            <option value="A" selected>A</option>
            <option value="B">B</option>
            <option value="C">C</option>
            <option value="D">D</option>
            <option value="E">E</option>
            <option value="F">F</option>
          </select>
        </div>
        <div class="mb-3">
          <label for="descr" class="form-label">Описание</label>
          <textarea class="form-control" name="descr" id="descr" rows="3" required></textarea>
        </div>
        <button type="submit" class="btn btn-primary">Добавить</button>
        <div class="form-error"></div>
        <div class="form-success"></div>
    </form>
</section>

{% endblock %}